# List Tenants

`GET https://api.agilitycredit.net/v3/tenants`

Docs page: https://apidocs.agilitycredit.com/api/list-tenants · Tag: Administration

The "List associated Tenants" section allows users to retrieve a list of tenants associated with their account in the Agility Credit API. By accessing this section, users can easily view and manage tenant information for streamlined operations within the platform. The response body is a JSON array.

Authentication: `Authorization: Bearer <api key>`.

## Parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `Agc-Tenant-Id` | header | yes | The tenant ID provided by Agility Credit. |
| `Agc-User-Id` | header | yes | The requestor user ID. |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Tenants | TenantsResponse |
| 400 | Bad Request | BadRequestResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 429 | Too Many Requests | TooManyRequestsResponse |
| 500 | Internal Server Error | AgilityServerErrorResponse |

### Error bodies

400:

```json
{
  "status": "Bad Request - Invalid Parameters",
  "error": "Failed schema validation. Error: data.pull_type must be one of ['prequal', 'hard'], Path: ['data', 'pull_type'], Data: prequalification"
}
```

401:

```json
{
  "message": "Unauthorized"
}
```

429:

```json
{
  "error": "Too Many Requests"
}
```

500:

```json
{
  "message": "Agility Server Error"
}
```
